package com.jpsoft.shinestar.modules.workflow.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.workflow.entity.Procinst;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ProcinstDAO {
	int insert(Procinst entity);
	int update(Procinst entity);
	int exist(String id);
	Procinst get(String id);
	int delete(String id);
	List<Procinst> list();
	List<Procinst> search(Map<String,Object> searchParams,List<Sort> sortList);

    Procinst findByBusinessKey(String businessKey);
}